"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DesignTokens = void 0;
var _colorsPalette = require("./colorsPalette.js");
const DesignTokens = exports.DesignTokens = {
  // BACKGROUND
  $backgroundDefault: _colorsPalette.colorsPalette.white,
  $backgroundElevated: _colorsPalette.colorsPalette.white,
  $backgroundElevatedLight: _colorsPalette.colorsPalette.white,
  $backgroundNeutralHeavy: _colorsPalette.colorsPalette.grey20,
  $backgroundNeutralIdle: _colorsPalette.colorsPalette.grey40,
  $backgroundNeutralMedium: _colorsPalette.colorsPalette.grey60,
  $backgroundNeutral: _colorsPalette.colorsPalette.grey70,
  $backgroundNeutralLight: _colorsPalette.colorsPalette.grey80,
  $backgroundPrimaryHeavy: _colorsPalette.colorsPalette.violet30,
  $backgroundPrimaryMedium: _colorsPalette.colorsPalette.violet70,
  $backgroundPrimaryLight: _colorsPalette.colorsPalette.violet80,
  $backgroundGeneralHeavy: _colorsPalette.colorsPalette.blue30,
  $backgroundGeneralMedium: _colorsPalette.colorsPalette.blue70,
  $backgroundGeneralLight: _colorsPalette.colorsPalette.blue80,
  $backgroundSuccessHeavy: _colorsPalette.colorsPalette.green30,
  $backgroundSuccessLight: _colorsPalette.colorsPalette.green80,
  $backgroundWarningHeavy: _colorsPalette.colorsPalette.yellow30,
  $backgroundWarningLight: _colorsPalette.colorsPalette.yellow70,
  $backgroundMajorLight: _colorsPalette.colorsPalette.orange80,
  $backgroundMajorHeavy: _colorsPalette.colorsPalette.orange30,
  $backgroundDangerHeavy: _colorsPalette.colorsPalette.red30,
  $backgroundDangerLight: _colorsPalette.colorsPalette.red80,
  $backgroundDisabled: _colorsPalette.colorsPalette.grey50,
  $backgroundDark: _colorsPalette.colorsPalette.grey10,
  $backgroundDarkElevated: _colorsPalette.colorsPalette.grey10,
  $backgroundDarkActive: _colorsPalette.colorsPalette.grey20,
  $backgroundInverted: _colorsPalette.colorsPalette.grey10,
  // TEXT
  $textDisabled: _colorsPalette.colorsPalette.grey50,
  $textDefault: _colorsPalette.colorsPalette.grey10,
  $textNeutralHeavy: _colorsPalette.colorsPalette.grey20,
  $textNeutral: _colorsPalette.colorsPalette.grey30,
  $textNeutralLight: _colorsPalette.colorsPalette.grey40,
  $textDefaultLight: _colorsPalette.colorsPalette.white,
  $textPrimary: _colorsPalette.colorsPalette.violet30,
  $textGeneral: _colorsPalette.colorsPalette.blue30,
  $textSuccess: _colorsPalette.colorsPalette.green10,
  $textSuccessLight: _colorsPalette.colorsPalette.green30,
  $textMajor: _colorsPalette.colorsPalette.orange10,
  $textDanger: _colorsPalette.colorsPalette.red10,
  $textDangerLight: _colorsPalette.colorsPalette.red30,
  // ICON
  $iconDefault: _colorsPalette.colorsPalette.grey10,
  $iconNeutral: _colorsPalette.colorsPalette.grey20,
  $iconDefaultLight: _colorsPalette.colorsPalette.white,
  $iconPrimary: _colorsPalette.colorsPalette.violet30,
  $iconPrimaryLight: _colorsPalette.colorsPalette.violet50,
  $iconGeneral: _colorsPalette.colorsPalette.blue30,
  $iconGeneralLight: _colorsPalette.colorsPalette.blue50,
  $iconSuccess: _colorsPalette.colorsPalette.green10,
  $iconSuccessLight: _colorsPalette.colorsPalette.green30,
  $iconMajor: _colorsPalette.colorsPalette.orange10,
  $iconDanger: _colorsPalette.colorsPalette.red10,
  $iconDangerLight: _colorsPalette.colorsPalette.red30,
  $iconDisabled: _colorsPalette.colorsPalette.grey50,
  // OUTLINE
  $outlineDefault: _colorsPalette.colorsPalette.grey60,
  $outlineDisabled: _colorsPalette.colorsPalette.grey60,
  $outlineDisabledHeavy: _colorsPalette.colorsPalette.grey30,
  $outlineNeutral: _colorsPalette.colorsPalette.grey50,
  $outlineNeutralHeavy: _colorsPalette.colorsPalette.grey10,
  $outlinePrimary: _colorsPalette.colorsPalette.violet30,
  $outlinePrimaryMedium: _colorsPalette.colorsPalette.blue70,
  $outlineGeneral: _colorsPalette.colorsPalette.blue30,
  $outlineWarning: _colorsPalette.colorsPalette.yellow30,
  $outlineDanger: _colorsPalette.colorsPalette.red30,
  $outlineInverted: _colorsPalette.colorsPalette.white,
  // BLACK AND WHITE
  $black: _colorsPalette.colorsPalette.black,
  $white: _colorsPalette.colorsPalette.white
};
//# sourceMappingURL=designTokens.js.map