"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DesignTokensDM = void 0;
var _colorsPalette = require("./colorsPalette.js");
const DesignTokensDM = exports.DesignTokensDM = {
  // BACKGROUND
  $backgroundDefault: _colorsPalette.colorsPalette.dark,
  $backgroundElevated: _colorsPalette.colorsPalette.grey1,
  $backgroundElevatedLight: _colorsPalette.colorsPalette.grey10,
  $backgroundNeutralHeavy: _colorsPalette.colorsPalette.grey50,
  $backgroundNeutralIdle: _colorsPalette.colorsPalette.grey30,
  $backgroundNeutralMedium: _colorsPalette.colorsPalette.grey10,
  $backgroundNeutral: _colorsPalette.colorsPalette.grey5,
  $backgroundNeutralLight: _colorsPalette.colorsPalette.grey1,
  $backgroundPrimaryHeavy: _colorsPalette.colorsPalette.violet50,
  $backgroundPrimaryMedium: _colorsPalette.colorsPalette.violet5,
  $backgroundPrimaryLight: _colorsPalette.colorsPalette.violet1,
  $backgroundGeneralHeavy: _colorsPalette.colorsPalette.blue50,
  $backgroundGeneralMedium: _colorsPalette.colorsPalette.blue5,
  $backgroundGeneralLight: _colorsPalette.colorsPalette.blue1,
  $backgroundSuccessHeavy: _colorsPalette.colorsPalette.green40,
  $backgroundSuccessLight: _colorsPalette.colorsPalette.green1,
  $backgroundWarningHeavy: _colorsPalette.colorsPalette.yellow40,
  $backgroundWarningLight: _colorsPalette.colorsPalette.yellow1,
  $backgroundMajorLight: _colorsPalette.colorsPalette.orange1,
  $backgroundMajorHeavy: _colorsPalette.colorsPalette.orange40,
  $backgroundDangerHeavy: _colorsPalette.colorsPalette.red40,
  $backgroundDangerLight: _colorsPalette.colorsPalette.red1,
  $backgroundDisabled: _colorsPalette.colorsPalette.grey20,
  $backgroundDark: _colorsPalette.colorsPalette.grey10,
  $backgroundDarkElevated: _colorsPalette.colorsPalette.grey20,
  $backgroundDarkActive: _colorsPalette.colorsPalette.grey20,
  $backgroundInverted: _colorsPalette.colorsPalette.grey80,
  // TEXT
  $textDisabled: _colorsPalette.colorsPalette.grey20,
  $textDefault: _colorsPalette.colorsPalette.grey60,
  $textNeutralHeavy: _colorsPalette.colorsPalette.grey50,
  $textNeutral: _colorsPalette.colorsPalette.grey40,
  $textNeutralLight: _colorsPalette.colorsPalette.grey30,
  $textDefaultLight: _colorsPalette.colorsPalette.grey10,
  $textPrimary: _colorsPalette.colorsPalette.violet50,
  $textGeneral: _colorsPalette.colorsPalette.blue50,
  $textSuccess: _colorsPalette.colorsPalette.green60,
  $textSuccessLight: _colorsPalette.colorsPalette.green40,
  $textMajor: _colorsPalette.colorsPalette.orange60,
  $textDanger: _colorsPalette.colorsPalette.red60,
  $textDangerLight: _colorsPalette.colorsPalette.red40,
  // ICON
  $iconDefault: _colorsPalette.colorsPalette.grey60,
  $iconNeutral: _colorsPalette.colorsPalette.grey50,
  $iconDefaultLight: _colorsPalette.colorsPalette.grey10,
  $iconPrimary: _colorsPalette.colorsPalette.violet50,
  $iconPrimaryLight: _colorsPalette.colorsPalette.violet30,
  $iconGeneral: _colorsPalette.colorsPalette.blue50,
  $iconGeneralLight: _colorsPalette.colorsPalette.blue30,
  $iconSuccess: _colorsPalette.colorsPalette.green60,
  $iconSuccessLight: _colorsPalette.colorsPalette.green40,
  $iconMajor: _colorsPalette.colorsPalette.orange60,
  $iconDanger: _colorsPalette.colorsPalette.red60,
  $iconDangerLight: _colorsPalette.colorsPalette.red40,
  $iconDisabled: _colorsPalette.colorsPalette.grey20,
  // OUTLINE
  $outlineDefault: _colorsPalette.colorsPalette.grey5,
  $outlineDisabled: _colorsPalette.colorsPalette.grey5,
  $outlineDisabledHeavy: _colorsPalette.colorsPalette.grey40,
  $outlineNeutral: _colorsPalette.colorsPalette.grey20,
  $outlineNeutralHeavy: _colorsPalette.colorsPalette.grey40,
  $outlinePrimary: _colorsPalette.colorsPalette.violet50,
  $outlinePrimaryMedium: _colorsPalette.colorsPalette.blue5,
  $outlineGeneral: _colorsPalette.colorsPalette.blue50,
  $outlineWarning: _colorsPalette.colorsPalette.yellow40,
  $outlineDanger: _colorsPalette.colorsPalette.red40,
  $outlineInverted: _colorsPalette.colorsPalette.grey10,
  // BLACK AND WHITE
  $black: _colorsPalette.colorsPalette.white,
  $white: _colorsPalette.colorsPalette.black
};
//# sourceMappingURL=designTokensDM.js.map