"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ThemeManager = void 0;
class ThemeManager {
  theme = {
    components: {}
  };
  forcedTheme = {
    components: {}
  };
  setThemeContext(context) {
    this.themeContext = context;
  }
  getThemeContext() {
    return this.themeContext;
  }
  setItem(key, value) {
    if (key === 'components') {
      throw new Error('Overriding the "components" key is not possible.');
    }
    this.theme[key] = value;
  }
  getItem(key) {
    return this.theme[key];
  }
  setComponentTheme(componentName, overrides) {
    if (typeof overrides === 'function') {
      this.theme.components[componentName] = overrides;
    } else {
      this.theme.components[componentName] = {
        ...overrides
      };
    }
  }
  setComponentForcedTheme(componentName, overrides) {
    if (typeof overrides === 'function') {
      this.forcedTheme.components[componentName] = overrides;
    } else {
      this.forcedTheme.components[componentName] = {
        ...overrides
      };
    }
  }
  get components() {
    return this.theme.components;
  }
  get forcedThemeComponents() {
    return this.forcedTheme.components;
  }
}
exports.ThemeManager = ThemeManager;
var _default = exports.default = new ThemeManager();
//# sourceMappingURL=themeManager.js.map