"use strict";

import { useContext, createContext } from 'react';
import * as Modifiers from "../commons/modifiers.js";
import { ThemeManager, useTheme } from "../style/index.js";
const EmptyContext = /*#__PURE__*/createContext({});
export default function useThemeProps(props, componentName) {
  // Note: This adds a dependency on current color scheme and update theme props accordingly
  useTheme();
  const themeContext = ThemeManager.getThemeContext();
  const context = useContext(themeContext ?? EmptyContext);
  return Modifiers.getThemeProps(props, context, componentName);
}
;
//# sourceMappingURL=useThemeProps.js.map