"use strict";

import React, { useContext, useEffect, createContext, useState } from 'react';
import Scheme from "./scheme.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const ThemeContext = /*#__PURE__*/createContext({
  colorScheme: Scheme.getSchemeType()
});
export const useTheme = () => useContext(ThemeContext);
export const ThemeProvider = ({
  children
}) => {
  const [colorScheme, setColorScheme] = useState(Scheme.getSchemeType());
  useEffect(() => {
    Scheme.addChangeListener(() => {
      setColorScheme(Scheme.getSchemeType());
    });
  }, []);
  const values = {
    colorScheme
  };
  return /*#__PURE__*/_jsx(ThemeContext.Provider, {
    value: values,
    children: children
  });
};
//# sourceMappingURL=themeProvider.js.map