"use strict";

import { TypographyPresets } from "./typographyPresets.js";
export class Typography {
  keysPattern = this.generateKeysPattern();

  /**
   * Load custom set of typographies
   * arguments:
   * typographies - map of keys and typography values
   * e.g {text15: {fontSize: 58, fontWeight: '100', lineHeight: Math.floor(58 * 1.4)}}
   */
  loadTypographies(typographies) {
    Object.assign(this, typographies);
    this.keysPattern = this.generateKeysPattern();
  }
  getKeysPattern() {
    return this.keysPattern;
  }
  generateKeysPattern() {
    return new RegExp(Object.keys(this).join('|'));
  }
}
const TypedTypography = Typography;
const typography = new TypedTypography();
typography.loadTypographies(TypographyPresets);
export default typography;
//# sourceMappingURL=typography.js.map