import type { TextStyle } from 'react-native';
export declare class Typography {
    [key: string]: any;
    keysPattern: RegExp;
    /**
     * Load custom set of typographies
     * arguments:
     * typographies - map of keys and typography values
     * e.g {text15: {fontSize: 58, fontWeight: '100', lineHeight: Math.floor(58 * 1.4)}}
     */
    loadTypographies(typographies: Record<string, TextStyle>): void;
    getKeysPattern(): RegExp;
    generateKeysPattern(): RegExp;
}
type CustomTypographyPresets = {
    [custom: string]: TextStyle;
};
declare const typography: Typography & {
    readonly h1: TextStyle;
    readonly h2: TextStyle;
    readonly h3: TextStyle;
    readonly h4: TextStyle;
    readonly h5: TextStyle;
    readonly h6: TextStyle;
    readonly regular: TextStyle;
    readonly small: TextStyle;
    readonly tiny: TextStyle;
    readonly button: TextStyle;
    readonly overline: TextStyle;
} & CustomTypographyPresets;
export default typography;
//# sourceMappingURL=typography.d.ts.map